Bug 1444326 - Keyboard inputs are buffered when qemu in stop status
Summary: Keyboard inputs are buffered when qemu in stop status
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: x86_64
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: Marc-Andre Lureau
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-21 06:35 UTC by Guo, Zhiyi
Modified: 2017-08-02 04:35 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-8.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 04:35:59 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Guo, Zhiyi 2017-04-21 06:35:49 UTC
Description of problem:
Keyboard inputs are buffered when qemu in stop status

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.9.0-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.boot guest with vnc connection
2.in qemu monitor:
(qemu) stop
3.switch vnc client window to the top, type some characters
4.in qemu monitor:
(qemu) c

Actual results:
Characters are presented in client after continuing qemu-kvm 

Expected results:
Characters should not be presented in client after continuing qemu-kvm

Additional info:
No such issue happen via spice display

Comment 3 Marc-Andre Lureau 2017-05-09 11:59:09 UTC
see patch on ML "[PATCH] input: don't queue delay if paused"

Comment 4 hachen 2017-05-22 09:46:06 UTC
I test on 
kernel-3.10.0-656.el7.x86_64
qemu-kvm-rhev-2.9.0-5.el7.x86_64

The descriped issue happens agian.

Comment 5 Marc-Andre Lureau 2017-05-26 07:45:35 UTC
sent on rhvirt-patches ML

Comment 6 Miroslav Rezanina 2017-06-06 08:54:01 UTC
Fix included in qemu-kvm-rhev-2.9.0-8.el7

Comment 11 errata-xmlrpc 2017-08-02 04:35:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.